SUBSYS_FIND_DEVICE_B(9)

NAME
subsys_find_device_by_id - find a device with a specific enumeration number

SYNOPSIS

struct device * subsys_find_device_by_id(struct bus_type * subsys, unsigned int id, struct device * hint);

ARGUMENTS

subsys
    subsystem

id
    index 'id' in struct device

hint
    device to check first

DESCRIPTION

Check the hint's next object and if it is a match return it directly, otherwise, fall back to a full list search. Either way a reference for the returned object is taken.

COPYRIGHT